Module | Sequel::Model::Associations::InstanceMethods
In: | lib/sequel/model/associations.rb

Instance methods used to implement the associations support.

### Methods

associations freeze pk_or_nil

### Public Instance methods

associations()

The currently cached associations. A hash with the keys being the association name symbols and the values being the associated object or nil (many_to_one), or the array of associated objects (*_to_many).

[Source]

          # File lib/sequel/model/associations.rb, line 1417
    1417:         def associations
    1418:           @associations ||= {}
    1419:         end

freeze()

Freeze the associations cache when freezing the object. Note that retrieving associations after freezing will still work in most cases, but the associations will not be cached in the association cache.

[Source]

          # File lib/sequel/model/associations.rb, line 1424
    1424:         def freeze
    1425:           associations.freeze
    1426:           super
    1427:         end

pk_or_nil()

Formally used internally by the associations code, like pk but doesn‘t raise an Error if the model has no primary key. Not used any longer, deprecated.

[Source]

          # File lib/sequel/model/associations.rb, line 1431
    1431:         def pk_or_nil
    1432:           key = primary_key
    1433:           key.is_a?(Array) ? key.map{|k| @values[k]} : @values[key]
    1434:         end

[Validate]